Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## anl.repast.gis
Class DefaultGeotoolsAgent

    java.lang.Object
      anl.repast.gis.DefaultGeotoolsAgent

All Implemented Interfaces:
  GeotoolsAgent, GisAgent

    public class DefaultGeotoolsAgent

extends java.lang.Object
implements GeotoolsAgent

Author:
  Robert Najlis

Constructor Summary
`DefaultGeotoolsAgent()`

Method Summary
`int` | `getGisAgentIndex()`
`int[]` | `getNeighbors()`
`com.vividsolutions.jts.geom.Geometry` | `getThe_geom()`
`java.lang.String[]` | `gisPropertyList()` This list is expected to consist of pairs of Strings.
`static void` | `main(java.lang.String[] args)`
`void` | `setGisAgentIndex(int index)`
`void` | `setNeighbors(int[] neighbors)`
`void` | `setThe_geom(com.vividsolutions.jts.geom.Geometry geom)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGeotoolsAgent

    public DefaultGeotoolsAgent()

Method Detail

### getThe_geom

    public com.vividsolutions.jts.geom.Geometry getThe_geom()

  Specified by:
    `getThe_geom` in interface `GeotoolsAgent`

### setThe_geom

    public void setThe_geom(com.vividsolutions.jts.geom.Geometry geom)

  Specified by:
    `setThe_geom` in interface `GeotoolsAgent`

### getGisAgentIndex

    public int getGisAgentIndex()

  Specified by:
    `getGisAgentIndex` in interface `GisAgent`

### setGisAgentIndex

    public void setGisAgentIndex(int index)

  Specified by:
    `setGisAgentIndex` in interface `GisAgent`

### gisPropertyList

    public java.lang.String[] gisPropertyList()

  Description copied from interface: `GisAgent`
  This list is expected to consist of pairs of Strings. the first is the name to be displayed, the second is the function to be called to get the value the gisPropertyList is used for displaying agent in OpenMap and for the writeAgentsNoShp function

  Specified by:
    `gisPropertyList` in interface `GisAgent`
  Returns:

### setNeighbors

    public void setNeighbors(int[] neighbors)

  Specified by:
    `setNeighbors` in interface `GisAgent`

### getNeighbors

    public int[] getNeighbors()

  Specified by:
    `getNeighbors` in interface `GisAgent`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD